import {
  USERNAME_MAX_LENGTH,
  USERNAME_MIN_LENGTH,
  USERNAME_REGEX,
  PASSWORD_MAX_LENGTH,
  PASSWORD_MIN_LENGTH,
  PASSWORD_REGEX,
} from "../utils/constants";

export function isUsernameValid(username: string) {
  if (!username) {
    return false;
  }

  if (!USERNAME_REGEX.test(username)) {
    return false;
  }

  if (username.length > USERNAME_MAX_LENGTH) {
    return false;
  }

  if (username.length < USERNAME_MIN_LENGTH) {
    return false;
  }

  return true;
}

export function isPasswordValid(password: string) {
  if (!password) {
    return false;
  }

  if (!PASSWORD_REGEX.test(password)) {
    console.log("password regex failed");
    return false;
  }

  if (password.length > PASSWORD_MAX_LENGTH) {
    console.log("password length failed");
    return false;
  }

  if (password.length < PASSWORD_MIN_LENGTH) {
    console.log("password length failed");
    return false;
  }

  return true;
}

export function isAccountNameValid(accountName: string) {
  if (!accountName) {
    return false;
  }

  return true;
}
